# Poco::Net

# class AcceptCertificateHandler

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/AcceptCertificateHandler.h

## Description

A AcceptCertificateHandler is invoked whenever an error occurs verifying the certificate. It always accepts the certificate.

Should be using for testing purposes only.

## Inheritance

Direct Base Classes: InvalidCertificateHandler

All Base Classes: InvalidCertificateHandler

## Member Summary

Member Functions: onInvalidCertificate

Inherited Functions: onInvalidCertificate

## Constructors

### AcceptCertificateHandler

AcceptCertificateHandler(
bool handleErrorsOnServerSide
);

Creates the AcceptCertificateHandler

## Destructor

### ~AcceptCertificateHandler

virtual ~AcceptCertificateHandler();

Destroys the AcceptCertificateHandler.

## Member Functions

### onInvalidCertificate

void onInvalidCertificate(
const void * pSender,
VerificationErrorArgs & errorCert
);

Receives the questionable certificate in parameter errorCert. If one wants to accept the certificate, call errorCert.setIgnoreError(true).

See also: Poco::Net::InvalidCertificateHandler::onInvalidCertificate()